package org.bench4q.agent.scenario.engine;

import java.util.Date;

public class BehaviorResult {
	private String pluginId;
	private String pluginName;
	private int behaviorId;
	private String behaviorName;
	private Date startDate;
	private Date endDate;
	private long responseTime;
	private int successCount;
	private int failCount;
	private boolean shouldBeCountResponseTime;

	private String behaviorUrl;
	private long contentLength;
	private int statusCode;
	private String contentType;

	public String getPluginId() {
		return pluginId;
	}

	public void setPluginId(String pluginId) {
		this.pluginId = pluginId;
	}

	public String getPluginName() {
		return pluginName;
	}

	public void setPluginName(String pluginName) {
		this.pluginName = pluginName;
	}

	public String getBehaviorName() {
		return behaviorName;
	}

	public void setBehaviorName(String behaviorName) {
		this.behaviorName = behaviorName;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public long getResponseTime() {
		return responseTime;
	}

	public void setResponseTime(long responseTime) {
		this.responseTime = responseTime;
	}

	public int getSuccessCount() {
		return successCount;
	}

	public void setSuccessCount(int successCount) {
		this.successCount = successCount;
	}

	public int getFailCount() {
		return failCount;
	}

	public void setFailCount(int failCount) {
		this.failCount = failCount;
	}

	public int getBehaviorId() {
		return behaviorId;
	}

	public void setBehaviorId(int behaviorId) {
		this.behaviorId = behaviorId;
	}

	public String getBehaviorUrl() {
		return behaviorUrl;
	}

	public void setBehaviorUrl(String behaviorUrl) {
		this.behaviorUrl = behaviorUrl;
	}

	public long getContentLength() {
		return contentLength;
	}

	public void setContentLength(long contentLength) {
		this.contentLength = contentLength;
	}

	public int getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(int statusCode) {
		this.statusCode = statusCode;
	}

	public String getContentType() {
		return contentType;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public boolean isShouldBeCountResponseTime() {
		return shouldBeCountResponseTime;
	}

	public void setShouldBeCountResponseTime(boolean shouldBeCountResponseTime) {
		this.shouldBeCountResponseTime = shouldBeCountResponseTime;
	}

}
